Subject: Re: linux-next: build failures after merge of the hid tree

From: Cristian Klein <[email-masked]>
Date: Wed, 24 Jun 2020 10:01:47 +0200

On Wed, Jun 24, 2020 at 09:30:23AM +0200, Jiri Kosina wrote:
> On Wed, 24 Jun 2020, Jiri Kosina wrote:
> 
> > > > I don't know what caused it, but commit
> > > > 
> > > >   470376737e88 ("HID: allow building hid.ko as an external module")
> > > > 
> > > > did not fix it.  BTW, I build with "make O=...".
> > 
> > That's actually the patch that almost certainly broke it.
> > 
> > CCing Cristian (author of that patch) and Nathan, who apparently sent a 
> > fixup patch for this, but I haven't seen it, as our corporate mailserver 
> > had severe issues yesterday.
> 
> I've now dropped the patch from hid.git
> 
> -- 
> Jiri Kosina
> SUSE Labs
> 

Hi,

I tried several times, but I cannot reproduce. Attached the full compile
log.

Any pointers of why compilation fails on 0day-ci?

--
Cristian Klein, PhD
Cloud-Native Expert
Elastisys AB